﻿/*NOTE: mobile first (xs) */
body, html {
	margin: 0;
	padding: 0;
	min-height: 100vh;
}

/* CenteredContent layout specific styles */

.centeredcontentnav-layout #wrapper {
	max-width: 1224px !important;
}

#wrapper {
	max-width: 1400px;
	margin: 0 auto;
	min-height: 100vh;
	position: relative;
	padding-bottom: 10px;
}

#mainWrapper {
	padding-top: 70px;
	position: relative;
}

header {
	width: 100%;
	min-height: 70px;
	max-height: 10vh;
	position: fixed;
	display: flex;
	align-items: center;
	justify-content: center;
	left: 0;
	top: 0;
	padding: 0;
	z-index: 100;
	text-align: center;
}


header #mainLogo {
	display: inline-block;
	max-width: 40%;
}
/* this is the app icon image, hidden on desktop */
	header #mainLogo #appIconImg {
		/* we set this in css because the javascript will use this to modify the src property */
		background-image: var(--ApplicationLogoIconUrl);
		max-height: 10vh; /* since it's a fixed header we wont want this to take up the whole screen only to be fixed in place*/
		max-width: 100%;
	}
/* this is the desktop image, hidden on mobile */
header #mainLogo #appLogoImg {
	/* we set this in css because the javascript will use this to modify the src property */
	background-image: var(--ApplicationLogoUrl);
	max-width: 100%;
	max-height: 14vh;/* since it's a fixed header we wont want this to take up the whole screen only to be fixed in place*/
	display: none;
}


#globalActions {
	position: absolute;
	left: 10px;
	bottom: 5px;
}

#headerActions {
	position: absolute;
	right: 10px;
	bottom: 5px;
}

#globalActions a {
	float: left;
}


.action-container div {
	position: absolute;
	right: 0;
	top: 45px;
	background-color: var(--HeaderBGColor);
	-webkit-box-shadow: -3px 3px 3px rgba(0, 0, 0, .25);
	box-shadow: -3px 3px 3px rgba(0, 0, 0, .25);
	white-space: nowrap;
}


.action-container div.collapsing {
	-webkit-transition-duration: .10s;
	-o-transition-duration: .10s;
	transition-duration: .10s;
}

#headerSmartBox {
	position: absolute;
	left: 0;
	bottom: -45px;
	z-index: 10;
	background-color: var(--HeaderBGColor);
	border-color: var(--HeaderBorderColor);
	border-style: solid;
	border-width: 1px;
	padding: 10px;
	width: 100%;
}

#headerSmartBox.collapsed {
	display: none;
}

#headerSmartBox .smart-box-wrapper {
	background-color: var(--HeaderBGColor);
}

nav#mainNav {
	position: absolute;
	left: 0;
	top: 100%;
	width: 100%;
}

#mainNav.collapsed {
	display: none;
}

#mainNav > .nav > li {
	position: relative;
}

#mainNav a {
	border-width: 1px;
}

#mainNav > .nav > li > a {
	border-width: 0 0 1px 0;
}

#mainNav .button {
	color: var(--NavLinkColor);
	background-color: var(--NavLinkBGColor);
	border-color: var(--NavLinkBorderColor);
	position: absolute;
	right: 1px;
	top: 0;
	z-index: 5;
	margin: 0;
	width: 35px;
	height: 100%;
	border: 0;
}

#mainNav .button:hover {
	color: var(--NavLinkBGColor);
	background-color: var(--NavLinkColor);
}

#mainNav .dropdown-menu {
	background-color: var(--NavBGColor);
}

#mainNav .dropdown-menu a {
	color: var(--NavLinkColor);
	background-color: var(--NavLinkBGColor);
	border-style: solid;
	border-color: var(--NavLinkBorderColor);
	border-width: 0 0 1px 0;
}

#mainNav .dropdown-menu a:hover {
	color: var(--NavLinkHoverColor);
	background-color: var(--NavLinkHoverBGColor);
	border-color: var(--NavLinkHoverBorderColor);
}

#wrapper main {
	margin: 0;
	padding: 1px;
	position: relative;
}

#wrapper main.disabled {
	pointer-events: none;
	opacity: .3;
}

footer {
	padding: 20px;
	text-align: center;
}


footer ul {
	margin: 0 !important;
}

#footerBackTop {
	margin: -10px 0 10px 0;
	display: block;
	text-align: center;
}

#footerBackTop a {
	display: block;
	max-width: 100px;
	margin: -5px auto 0 auto;
	font-variant: small-caps;
}


#footerCopyright{
	font-size: smaller;
	margin-top: 10px;
}


#msgWrapper {
	position: fixed;
	top: 20px;
	padding: 0 5px 0 5px;
	z-index: 10001;
	width: 100%;
}

#interfaceMessage {
	display: none;
	margin: 0 auto;
	max-width: 1024px;
	-webkit-box-shadow: 5px 5px 5px rgba(0, 0, 0, .25);
	box-shadow: 5px 5px 5px rgba(0, 0, 0, .25);
}





/**SM */
@media screen and (min-width: 1200px) {
	#mainWrapper {
		padding-top: 125px; /* accounts for both the menu AND header, but will be set to a different value */
	}

	#wrapper main {
		margin: 0 20px;
	}

	header {
		min-height: 80px;
		display: block;
		max-height: calc(14vh + 60px);/* account for the max header logo height + the nav height */
	}

		header #mainLogo {
			min-height: 60px;
		}

	/* desktop logo on mobile */
	header #mainLogo #appLogoImg {
		display: inline-block;
	}
	header #mainLogo #appIconImg {
		display: none;
	}

	nav#mainNav, nav#mainNav.collapsed {
		display: block !important;
		width: auto !important;
		top: initial;
		left: initial;
		position: relative;
		white-space: nowrap;
		text-align: center;
	}

	nav#mainNav > .nav {
		overflow-x: auto;
		overflow-y: initial;
	}

	nav#mainNav a {
		white-space: nowrap;
	}

	#mainNav > .nav > li > a {
		border-width: 0 1px;
	}

	nav#mainNav li .nav {
		position: absolute;
		left: -100px;
		top: 0px;
	}

	/* the dropdown list button */
	nav#mainNav .button {
		position: initial;
		right: initial;
		left: initial;
		height: 40px;
		float: right;
	}

	nav#mainNav > .nav > li {
		display: inline-block;
	}

	nav#mainNav > .nav > li.dropdown {
		padding-right: 30px;
	}

	nav#mainNav > .nav > li.dropdown a {
		padding-right: 10px;
	}

	#headerActions, 
	#globalActions {
		top: 20px;
		bottom: auto;
	}

	header .action-container div.collapse {
		display: block;
		position: relative;
		float: right;
		top: auto;
		background-color: transparent;
		border: none;
		-webkit-box-shadow: none;
		box-shadow: none;
	}

	header .action-container .action-collapse {
		display: none !important;
	}

	#globalActions .life-icon-header-menu {
		display: none;
	}

	#headerSmartBox {
		top: 79px;
		bottom: initial;
		max-width: 350px;
	}

	#footerBackTop {
		display: none;
	}
}
